GET /conversations/search
Operation ID: searchConversations
Auth: unknown
Description
Performs a search for conversation content. A maximum of 100 conversations is returned. If you hit this limit you should refine the search term. OauthScopes: READ_CONVERSATIONS
Parameters (3)
(boolean, query, optional, default: False)
Optional parameter to specify if a deep or normal search is executed. In a deep search all matching item IDs inside every conversation are returned (up to a maximum of 100). For a normal search only the conversation IDs are returned. Default is a normal search (without item IDs).
(string, query, optional, default: ALL)
The search scope, FILES||PEOPLE||MEMBERS||MESSAGES||SENTBY||ALL||CONVERSATIONS||LABEL||FILTER
Constraints: {'maxLength': 2048, 'enum': ['FILES', 'PEOPLE', 'MEMBERS', 'MESSAGES', 'SENTBY', 'ALL', 'CONVERSATIONS', 'LABEL', 'FILTER']}
(string, query, required)
The search term
Constraints: {'maxLength': 2048}
No probe data for this endpoint yet.